Bug 201094 - add --quiet option to daemon() [rc.d/init.d/functions]
Summary: add --quiet option to daemon() [rc.d/init.d/functions]
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-02 19:23 UTC by Paul Bolle
Modified: 2014-03-17 03:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 00:43:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add --quiet option to daemon() (patch against "rawhide") (648 bytes, patch)
2006-08-02 19:23 UTC, Paul Bolle
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 168325 None None None Never

Description Paul Bolle 2006-08-02 19:23:43 UTC
Description of problem:
The irda initscript [/etc/rc.d/init.d/irda] needs a --quiet option to daemon()
[/etc/rc.d/init.d/functions] to work properly.

Version-Release number of selected component (if applicable):
8.38-1

How reproducible:
n/a

Steps to Reproduce:
1. n/a
2.
3.
  
Actual results:
n/a

Expected results:
n/a

Additional info:
See my comments and patch to #168325 (filed against irda-utils) for further
details. That patch is partly implemented now, but the proposed --quiet option
isn't (yet), see:
http://cvs.fedora.redhat.com/viewcvs/rpms/irda-utils/devel/irda-utils-0.9.17-initscript.patch?rev=1.1&sortby=date&view=markup.


(I'm cc'ing Karsten Hopp on this bug.)

The attached patch applies cleanly to initscripts /initscripts-8.38-1 (current
"rawhide"). Please be aware that I'm not actually running rawhide.

Comment 1 Paul Bolle 2006-08-02 19:23:43 UTC
Created attachment 133510 [details]
add --quiet option to daemon() (patch against "rawhide")

Comment 2 Bill Nottingham 2006-08-02 22:08:10 UTC
Why not just not use daemon() for this case?

Comment 3 Paul Bolle 2006-08-02 22:41:16 UTC
Because just use daemon() (as the irda initscript does now) is confusing. To
quote my first comment to bug 168325:

"The problem is caused by
        daemon /usr/sbin/irattach ${DEVICE} ${ARGS}
in start().

My analysis: irattach will fork quite quickly and the old process will exit(0)
directly after forking. This has as a side effect that the initscript will
always return success. All subsequent errors in daemon mode (for instance errors
in [irattach/irattach.c:] start_tty()) will not be noticed by this initscript."

So the present call to daemon() will always be "successful" even if (as I found
out) your system isn't properly configured at all. Only after checking the
irattach source I realized that one shouldn't rely on the output of the irda
initscript.

Comment 4 Bill Nottingham 2006-08-02 22:44:58 UTC
Exactly - so just *don't* use daemon; then you don't need to worry about --quiet.

Comment 5 Paul Bolle 2006-08-02 23:05:01 UTC
It's obvious (now) that I misread your first remark.

Calling irattach directly should do the trick.

If Karsten isn 't very attached to using daemon() in that initscript the fix is
trivial. Karsten?

Comment 6 Bug Zapper 2008-04-03 17:54:30 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Bug Zapper 2008-05-07 00:43:14 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.